Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZCheckoutSupplierGateway Class Reference

## Public Member Functions
| __construct ()
& | paymentMethods ()
& | paymentName ( $id)
& | paymentFile ( $id)

## Public Attributes
| $PaymentMethods

## Detailed Description

! eZTrade eZCheckoutSupplier handles checkout instances for the current checkout method.

Definition at line 35 of file ezcheckoutsuppliergateway.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCheckoutSupplierGateway::__construct | ( |  | ) |

Definition at line 40 of file ezcheckoutsuppliergateway.php.

References $i, $ini, and $PaymentMethods.

## Member Function Documentation

## ◆ paymentFile()

& eZCheckoutSupplierGateway::paymentFile | ( |  | $id | ) |

Returns the file to include for the given payment type.

Definition at line 89 of file ezcheckoutsuppliergateway.php.

References $i, $id, $ini, $PaymentMethods, and $ret.

## ◆ paymentMethods()

& eZCheckoutSupplierGateway::paymentMethods | ( |  | ) |

Returns the payment types supported by this checkout method.

The types are returned as an array( array( "ID" => $id, "Text" => $text ), array( "ID" => $id, "Text" => $text ) );

Definition at line 64 of file ezcheckoutsuppliergateway.php.

References $PaymentMethods.

## ◆ paymentName()

& eZCheckoutSupplierGateway::paymentName | ( |  | $id | ) |

Returns the payment type with the given id.

Definition at line 72 of file ezcheckoutsuppliergateway.php.

References $id, $paymentMethod, and $ret.

## Member Data Documentation

## ◆ $PaymentMethods

eZCheckoutSupplierGateway::$PaymentMethods

Definition at line 107 of file ezcheckoutsuppliergateway.php.

Referenced by __construct(), paymentFile(), and paymentMethods().

The documentation for this class was generated from the following file:

- ezcheckoutsuppliergateway.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.